<?php

/**
 * Subclass for performing query and update operations on the 'tblblog' table.
 *
 * 
 *
 * @package lib.model
 */ 
class TblblogPeer extends BaseTblblogPeer
{
  function getActiveBlogByName($blogName) {
    try {
      $c = new Criteria();
      $c->add(TblblogPeer::BL_SHORTNAME, $blogName);
      $blog = TblblogPeer::doSelectOne($c);
      if (!$blog) throw new Exception('Địa chỉ truy cập không đúng hoặc trang web riêng <b>'.$blogName.'</b> đã bị xóa');
      if (!$blog->getBlActive()) throw new Exception('Trang web này đã bị khóa, hãy liên hệ với ban quản trị ('.sfConfig::get('app_support_phone').')');
    } catch (Exception $e) {
      echo $e->getMessage().'<br>';
      echo 'Trở về <a href="http://violet.vn">http://violet.vn</a>';
      exit();
    }
    return $blog;
  }
}
